#include <stdio.h>
#include <rpc/rpc.h>
#include "rread.h"

main(argc, argv)
int argc;
char *argv[];
{
     CLIENT *cl;
     read_results *resultp;
     read_request request;
     int error = 0;

     if (argc < 5) {
          fprintf(stderr, "%s: usage: %s server file start how_many\n",
                  argv[0], argv[0]);
          exit(1);
     }

     request.filename = argv[2];
     request.start_location = atoi(argv[3]);
     request.how_many = atoi(argv[4]);

     cl = clnt_create(argv[1], READ_PROG, READ_VERS, "netpath");
     if (cl == NULL) {
         clnt_pcreateerror(argv[1]);
         exit(1);
     }

     if ((cl->cl_auth = authsys_create_default()) == NULL) {
     	printf("ERROR -- authentication creation...\n");
     	exit(1);
     }

     resultp = read_1(&request, cl);
     if (resultp == NULL) {
         clnt_perror(cl, "rusers_1");
         exit(1);
     }
     
     if (resultp->status != 0) {
         printf("ERROR! Status = %d\n", resultp->status);
         exit(1);
     }

     write(0, resultp->read_results_u.filedata.filedata_val, resultp->read_results_u.filedata.filedata_len);
     
     exit(error);
}
